-----------------------------------------------------------------------------
-- Stage 2-2
-----------------------------------------------------------------------------

function SpawnIntroAnimals()
	
	a = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath38", 0, ST_WPT_RUN, 0, 1, 1, .8);
	    Animal.SetLoopAtPathEnd(a, true);
	b = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath39", 0, ST_WPT_RUN, 0, 1, 1, .6);
	    Animal.SetLoopAtPathEnd(a, true);
	c = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath38", 0, ST_WPT_RUN, 0, 2, 3, .5);
	    Animal.SetLoopAtPathEnd(a, true);
	d = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath39", 0, ST_WPT_RUN, 0, 2, 3, .2);
	    Animal.SetLoopAtPathEnd(a, true);
		
	end;
	
-----------------------------------------------------------------------------    

function PostStage()

    Sound.Release(smpCrocRoar);
    EntGame.BindCameraToEntity("OutroCamera");
    EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath1");
    
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldSunsetMountain\\SunsetMountainCommon.ini", "Maps\\Stage2-2\\Stage2-2.ini","","");
    EntGame.CreatePlayerEntities();
    
    EntGame.SetGlobalDustColorInitial(1.0, 0.64, .35, .2);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.64, .35, .2);
    
    EntGame.SetStageTimer(200);
    
    -- load sounds
    smpCrocRoar = Sound.Load("Sound\\Animals\\DeepGrowlQuick.wav");

    EntGame.LoadAnimal(AID_IMPALA_M);
	EntGame.LoadAnimal(AID_IMPALA_F);	
	EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
	EntGame.LoadAnimal(AID_NILECROC_M);
	
 	StartupSequence("Music\\Moteff.ogg");

    SpawnIntroAnimals();
    EntGame.DestroyAllAnimals();
    
    
--S
--[[ S
    Animal.SetState(a, ST_GONE);
    Animal.SetState(b, ST_GONE);
    Animal.SetState(c, ST_GONE);
    Animal.SetState(d, ST_GONE);
S ]]--      
    end;

-----------------------------------------------------------------------------

function Part1()

		    
	Camera.SetSpeed(entCamera, 0.0, 0.1);	    
	Camera.JumpToWaypoint(entCamera, "CamWptAA");    

EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath1");
EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath2");
EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath3");

	Script.WaitSec(1);

EntGame.ShowCaption(STR_LVL_2_2_A, 0, 3.0);

EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath5");

	Script.WaitSec(2);

EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath4");

	Script.WaitSec(1.5);

EntGame.SpawnAnimal(AID_IMPALA_F, "FollowPath2");

	Script.WaitSec(.5);

EntGame.SpawnAnimal(AID_IMPALA_F, "FollowPath2");

	Script.WaitSec(.25);

EntGame.SpawnAnimal(AID_IMPALA_M, "FollowPath5");

	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath2", 0, ST_WPT_RUN, 0, 2, 3, .6);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath1", 0, ST_WPT_RUN, 0, -2, -3, .5);


	Script.WaitSec(2);

EntGame.ShowCaption(STR_LVL_2_2_B, 0, 3.0);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath3", 0, ST_WPT_RUN, 0, -3, -4, .6);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath3", 0, ST_WPT_RUN, 0, -1.5, 2.5, .2);

	Script.WaitSec(1);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath3", 0, ST_WPT_RUN, 0, -2, -3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath2", 0, ST_WPT_RUN, 0, -5.5, 4.5, .3);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath1", 0, ST_WPT_RUN, 0, 3, 4, .5);

	Script.WaitSec(15); --Overall Travel Time
	
    end;
    
-----------------------------------------------------------------------------

function Part2()
	
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptGG");
	
	Script.WaitSec(.25);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9a", 0, 0, 1, 0, 1.2);

	Script.WaitSec(.25);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9b", 0, -1, .5, .05, .88);

	Script.WaitSec(.25);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9b", 0, 0, 0, .1, .2);

	Script.WaitSec(.75);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9a", 0, 0, 1, 0, 1.2);

	Script.WaitSec(.25);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9b", 0, -1, .5, .05, .88);

	Script.WaitSec(.25);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath9b", 0, 0, 0, .1, .2);	

EntGame.ShowCaption(STR_LVL_2_2_C, 0, 4.0);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath12", 0, ST_WPT_RUN, 0, 2, 3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath12", 0, ST_WPT_RUN, 0, 0, 0, .7);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath12", 0, ST_WPT_RUN, 0, 1.5, 1.5, .3);
	
	Script.WaitSec(3);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath12", 0, ST_WPT_RUN, 0, 2, 3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath12", 0, ST_WPT_RUN, 0, 0, 0, .7);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath12", 0, ST_WPT_RUN, 0, 1.5, 1.5, .3);	
	
	Script.WaitSec(3);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10", 0, ST_WPT_RUN, 0, 2, 3, .2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10", 0, ST_WPT_RUN, 0, -2, -3, .5);

	Script.WaitSec(.2);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10", 0, ST_WPT_RUN, 0, -1.5, 2.5, .1);

	Script.WaitSec(4.0);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 1, 1.5, .1, .5);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 0, -1, 0, .2);
 
	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 2, -2, .15, .6);
	
	Script.WaitSec(.5);	

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 1, 0, .1, .5);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 0, 1, 0, .2);
 
	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 2, -3, .15, .6);

	Script.WaitSec(.25);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 1, 1.5, .1, .5);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 0, -1, 0, .2);
 
	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath15", 0, 2, -2, .15, .6);	
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10", 0, ST_WPT_RUN, 0, 2, 3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10", 0, ST_WPT_RUN, 0, -2, -3, .7);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10b", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath10b", 0, ST_WPT_RUN, 0, -2, -3, .6);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10b", 0, ST_WPT_RUN, 0, -5.5, 4.5, .4);

	Script.WaitSec(2);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10b", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10b", 0, ST_WPT_RUN, 0, -2, -3, .6);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10b", 0, ST_WPT_RUN, 0, 0, 0, .4);

	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10c", 0, ST_WPT_RUN, 0, -2, -3, .3);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath10c", 0, ST_WPT_RUN, 0, -1, -4, .4);	
	
	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath10c", 0, ST_WPT_RUN, 0, 2, -3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10c", 0, ST_WPT_RUN, 0, 1, -4, .7);

	Script.WaitSec(3);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10c", 0, ST_WPT_RUN, 0, -2, -3, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10c", 0, ST_WPT_RUN, 0, -1, -4, .7);

	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath10c", 0, ST_WPT_RUN, 0, -2, -3, .7);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10c", 0, ST_WPT_RUN, 0, -1, -4, .8);

	Script.WaitSec(2);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, 2, 3, .4);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, -2, -3, .8);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, -2, -3, 1.1);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10f", 0, ST_WPT_RUN, 0, 1, 1, .9);

	Script.WaitSec(2);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, 2, 3, .4);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, -2, -3, .2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10d", 0, ST_WPT_RUN, 0, -2, -3, 1.1);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10f", 0, ST_WPT_RUN, 0, 1, 1, .9);

	Script.WaitSec(7);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10e", 0, ST_WPT_RUN, 0, 2, 3, .3);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath10e", 0, ST_WPT_RUN, 0, -2, -3, .7);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath16", 0, 1, 0, .1, .6);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath16", 0, 0, 1, 0, .3);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath16", 0, 2, -3, .2, .1);

	Script.WaitSec(11);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath13", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath13", 0, ST_WPT_RUN, 0, -2, -1, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath13", 0, ST_WPT_RUN, 0, -1, -2, 1.2);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 1, -1, .1, .7);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 0, -2, .05, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 2, -4, 0, .2);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 1, -2, 0, .5);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, -3, -1, 0, .3);

	Script.WaitSec(4);

    end;
        
-----------------------------------------------------------------------------

function Part3()

entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath14", 0, ST_WPT_CHARGE, 0, 0, 0, 1.5);
Animal.FaceEntity(entCroc, entCamera);
Animal.SetAutoChargeDist(entCroc, 12.0);
Animal.SetChargeWhenShot(entCroc, SL_TRUE);
Animal.SetAttackType(entCroc, ATK_STATIC);
Animal.SetAttackRepeat(entCroc, 1);
Animal.SetPostAttackRand(entCroc, false);
Animal.SetPostAttackDir(entCroc, 90);

 	Script.WaitSec(math.random(2.25, 2.75));

Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);
 	
	Script.WaitSec(.5);

EntGame.ShowCaption(STR_LVL_2_2_D, 0, 4.0);

entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath14", 0, ST_WPT_RUN, 0, 0, 0, 1);
Animal.FaceEntity(entCroc, entCamera);
--Animal.SetAutoChargeDist(entCroc, 12.0);
--Animal.SetChargeWhenShot(entCroc, SL_TRUE);
--Animal.SetAttackType(entCroc, ATK_STATIC);
--Animal.SetAttackRepeat(entCroc, 1);
--Animal.SetPostAttackRand(entCroc, false);
--Animal.SetPostAttackDir(entCroc, -90);
	Script.WaitSec(math.random(1.5, 2));
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

	Script.WaitSec(3);
	
entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath18", 0, ST_WPT_RUN, 0, 0, 0, 1.4);
Animal.FaceEntity(entCroc, entCamera);
Animal.SetAutoChargeDist(entCroc, 12.0);
Animal.SetChargeWhenShot(entCroc, SL_TRUE);
Animal.SetAttackType(entCroc, ATK_STRAFE);
Animal.SetPostAttackRand(entCroc, false);
Animal.SetPostAttackDir(entCroc, -90);
	Script.WaitSec(math.random(1.5, 2));
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

	Script.WaitSec(1);
	
entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath18", 0, ST_WPT_RUN, 0, 0, 0, 1);
Animal.FaceEntity(entCroc, entCamera);

	Script.WaitSec(math.random(2.25, 2.75));
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath19", 0, ST_WPT_RUN, 0, 1, 1, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath19", 0, ST_WPT_RUN, 0, -1, -2, 1.2);

	Script.WaitSec(1);
	
entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath18", 0, ST_WPT_RUN, 0, 0, 0, 1.3);
Animal.FaceEntity(entCroc, entCamera);
Animal.SetAutoChargeDist(entCroc, 15.0);
Animal.SetChargeWhenShot(entCroc, SL_TRUE);
Animal.SetAttackType(entCroc, ATK_STATIC);
Animal.SetAttackRepeat(entCroc, 1);
Animal.SetPostAttackRand(entCroc, false);
Animal.SetPostAttackDir(entCroc, 90);
	Script.WaitSec(math.random(2.25, 2.75));
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath19", 0, ST_WPT_RUN, 0, 1, 2, .9);

	Script.WaitSec(6);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath13", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath13", 0, ST_WPT_RUN, 0, -2, -1, .5);

	Script.WaitSec(.5);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath13", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath13", 0, ST_WPT_RUN, 0, -2, -1, .5);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 1, 0, 0, .7);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 0, 1, .2, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 2, -3, -.2, .2);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, 4, 1, .1, .2);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath17", 0, -3, -3, -.12, .3);

	Script.WaitSec(10);
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath18", 0, ST_WPT_RUN, 0, 0, 0, 2);
Animal.FaceEntity(entCroc, entCamera);
Animal.SetAutoChargeDist(entCroc, 15.0);
Animal.SetAttackType(entCroc, ATK_STRAFE);
Animal.SetPostAttackRand(entCroc, false);
Animal.SetPostAttackDir(entCroc, 90);
	Script.WaitSec(math.random(1.5, 2));

	Script.WaitSec(2);
	
Sound.Play(smpCrocRoar, 1, DS2_VOLMAX, DS2_RIGHT);

entCroc=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath18", 0, ST_WPT_RUN, 0, 0, 0, 1);
Animal.FaceEntity(entCroc, entCamera);
Animal.SetAutoChargeDist(entCroc, 15.0);
Animal.SetAttackType(entCroc, ATK_STATIC);
Animal.SetAttackRepeat(entCroc, 1);
Animal.SetPostAttackRand(entCroc, false);
Animal.SetPostAttackDir(entCroc, 90);
	Script.WaitSec(math.random(2.25, 2.75));

	Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(7); --Shooting Time	     
	    
    end;
        
-----------------------------------------------------------------------------

function Part4()

	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptKK");
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath20", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath20", 0, ST_WPT_RUN, 0, -2, -1, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath20", 0, ST_WPT_RUN, 0, -1, -2, 1.2);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, 1, 0, .2, .7);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, 0, 1, 0, .5);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, 2, -3, .1, .2);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, 4, 1, .05, .2);

	Script.WaitSec(1);
	
EntGame.ShowCaption(STR_LVL_2_2_E, 0, 4.0);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, 1, 4, .1, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath21", 0, -3, -3, 0, .3);
	
	Script.WaitSec(6);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath23a", 0, ST_WPT_RUN, 0, -2, -1, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, -1, -2, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, -1, -3, .5);
	
	Script.WaitSec(4);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23", 0, ST_WPT_RUN, 0, 2, 3, 1.1);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath23", 0, ST_WPT_RUN, 0, -2, -1, .7);

	Script.WaitSec(1);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, 2, 3, .9);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, -2, -1, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath23a", 0, ST_WPT_RUN, 0, -1, -2, 1.2);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, 2, .1, .7);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, 0, .2, .7);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 2, 1, 0, .2);

	Script.WaitSec(1);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, 2, .1, .7);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, -1, .2, .7);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 2, 0, 0, .2);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, 2, .2, .7);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath25", 0, 1, 1, 0, .2);

	Script.WaitSec(2.0);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath24", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24", 0, ST_WPT_RUN, 0, -3, -2, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24", 0, ST_WPT_RUN, 0, -1, -2, .8);	
	
	Script.WaitSec(2.0);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath24", 0, ST_WPT_RUN, 0, -3, -2, .5);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24", 0, ST_WPT_RUN, 0, -1, -2, .8);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 1, 0, .05, .7);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 0, 1, 0, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 2, -1, .1, .2);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 4, 1, 0, .2);

	Script.WaitSec(3);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 1, 0, .05, .7);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 0, 1, 0, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 2, -1, .1, .2);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath26", 0, 4, 1, 0, .2);	
	
	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24a", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath24a", 0, ST_WPT_RUN, 0, -1, 1, 1);

	Script.WaitSec(3);
	
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath24a", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath24a", 0, ST_WPT_RUN, 0, -1, 1, 1);	
	
	Script.WaitSec(3);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath27", 0, 0, 1, .1, .8);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath27", 0, 2, -3, 0, .6);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath27", 0, 0, 2, .1, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath27", 0, 2, -1, 0, .2);    

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath31", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath31", 0, ST_WPT_RUN, 0, -1, 1, 1);	
	
	Script.WaitSec(3);

    end;
        
-----------------------------------------------------------------------------

function Part5()

--if (testing) then
	    --Camera.JumpToWaypoint(entCamera, "CamWptKK");
	    --end;
    
Camera.SetSpeed(entCamera, 0.0, 0.1);

EntGame.ShowCaption(STR_LVL_2_2_F, 0, 4.0);

	Script.WaitSec(2);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath31", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath31", 0, ST_WPT_RUN, 0, -1, 1, 1);

	Script.WaitSec(2);

EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath31", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath31", 0, ST_WPT_RUN, 0, -1, 1, 1);

	Script.WaitSec(2);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath31", 0, ST_WPT_RUN, 0, 1, -1, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath31", 0, ST_WPT_RUN, 0, 2, -3, 1);

	Script.WaitSec(4);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, 0, 1, 0, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, 2, -3, .1, .2);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, -2, 3, .2, .7);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath32", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath32", 0, ST_WPT_RUN, 0, -1, 1, 1);

	Script.WaitSec(3);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath33", 0, ST_WPT_RUN, 0, -2, -3, .8);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath33", 0, ST_WPT_RUN, 0, -1, -1, .65);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath29", 0, -1, 1, 0, 1);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath29", 0, -2, 3, .1, .7);

	Script.WaitSec(3.0);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, 0, 1, 0, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, 2, -3, .1, .2);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath28", 0, -2, 3, .2, .7);

EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPath32", 0, ST_WPT_RUN, 0, 2, 3, 1.2);
EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPath32", 0, ST_WPT_RUN, 0, -1, 1, 1);	
	
	Script.WaitSec(3.5);
	
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath30", 0, -1, 1, 0, 1);

	Script.WaitSec(1);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath36", 0, 0, 1, 0, .5);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath37", 0, 2, 1, .1, .2);

	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath37", 0, 0, 1, 0, .5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath37", 0, 2, 0, .1, .2);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath36", 0, -2, 2, .2, .7);
	Script.WaitSec(.5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath36", 0, -2, -1, .2, .7);
	Script.WaitSec(.5);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath36", 0, -2, 0, .2, .7);
	Script.WaitSec(.5);

EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath37", 0, 0, 1, 0, .7);
EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPath37", 0, 2, 0, .1, .5);

    end;
        
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();   
Part2();   
Part3();   
Part4(); 
Part5(); 

